Bug 806254 - [abrt] kernel: kernel BUG at fs/direct-io.c:1013!
[abrt] kernel: kernel BUG at fs/direct-io.c:1013!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Moyer
Fedora Extras Quality Assurance
abrt_hash:9cbcb39b5a1547531af47213581...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 06:10 EDT by Fabian Deutsch
Modified: 2012-06-27 20:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 20:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-03-23 06:10:42 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        root=/dev/mapper/vg_fdeutsch-lv_root rd.md=0 rd.lvm.lv=vg_fdeutsch/lv_root  KEYTABLE=de rd.lvm.lv=vg_fdeutsch/lv_swap SYSFONT=True rd.dm=0 rd.luks.uuid=luks-ac195d56-4e0a-4684-968d-fc43fba3135b ro LANG=en_US.UTF-8 rhgb quiet
kernel:         3.3.0-0.rc3.git7.2.fc17.x86_64
reason:         kernel BUG at fs/direct-io.c:1013!
time:           Fri 23 Mar 2012 11:07:46 AM CET

backtrace:
:kernel BUG at fs/direct-io.c:1013!
:invalid opcode: 0000 [#1] SMP 
:CPU 1 
:Modules linked in: vfat fat btusb snd_hda_codec_hdmi bluetooth snd_hda_codec_conexant arc4 iwlwifi uvcvideo snd_hda_intel snd_hda_codec videobuf2_vmalloc videobuf2_memops videobuf2_core videodev v4l2_compat_ioctl32 snd_hwdep media e1000e snd_pcm snd_page_alloc iTCO_wdt iTCO_vendor_support thinkpad_acpi microcode snd_timer snd soundcore i2c_i801 mac80211 cfg80211 rfkill uinput xts gf128mul dm_crypt sdhci_pci sdhci firewire_ohci firewire_core mmc_core crc_itu_t wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 689, comm: lvm Not tainted 3.3.0-0.rc3.git7.2.fc17.x86_64 #1 LENOVO 4243BQ9/4243BQ9
:RIP: 0010:[<ffffffff811fba78>]  [<ffffffff811fba78>] do_blockdev_direct_IO+0x1e98/0x1f90
:RSP: 0018:ffff88007f243a68  EFLAGS: 00010246
:RAX: 0000000000000000 RBX: ffff88010ed10028 RCX: 000000000000000c
:RDX: 0000000000000001 RSI: 0000000000000000 RDI: 0000000000000000
:RBP: ffff88007f243c78 R08: 0000000000000000 R09: 00000000137b0000
:R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
:R13: 0000000000000001 R14: 0000000000000000 R15: ffff88010ed10000
:FS:  00007f9a5b516800(0000) GS:ffff880118e00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 000000000046a122 CR3: 00000000d94d8000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process lvm (pid: 689, threadinfo ffff88007f242000, task ffff88007f732680)
:Stack:
: ffff88007f243a78 ffffffff81020f59 ffff88007f243aa8 ffff88010ed100a8
: 01ff88007f243a98 ffff88007f243e00 0000000000000000 ffff88007f243e00
: 0000000000001000 0000000c00000000 ffff8800d61b8000 ffff88007f732f48
:Call Trace:
: [<ffffffff81020f59>] ? sched_clock+0x9/0x10
: [<ffffffff810a2e75>] ? sched_clock_cpu+0xc5/0x120
: [<ffffffff811f73d0>] ? blkdev_get_block+0x80/0x80
: [<ffffffff811fbbc5>] __blockdev_direct_IO+0x55/0x60
: [<ffffffff811f73d0>] ? blkdev_get_block+0x80/0x80
: [<ffffffff811f6bb7>] blkdev_direct_IO+0x57/0x60
: [<ffffffff811f73d0>] ? blkdev_get_block+0x80/0x80
: [<ffffffff81150df8>] generic_file_aio_read+0x6e8/0x750
: [<ffffffff810cc7af>] ? lock_release_non_nested+0x2ef/0x330
: [<ffffffff811bac0e>] do_sync_read+0xde/0x120
: [<ffffffff812bd685>] ? security_file_permission+0x95/0xb0
: [<ffffffff811bb121>] ? rw_verify_area+0x61/0xf0
: [<ffffffff811bb5dc>] vfs_read+0xac/0x180
: [<ffffffff811bb6fd>] sys_read+0x4d/0x90
: [<ffffffff816a6f29>] system_call_fastpath+0x16/0x1b
:Code: ff ff 45 89 f0 4c 89 ff 48 89 04 24 e8 92 d9 ff ff 85 c0 0f 85 68 e7 ff ff 45 89 ed 4c 01 6d 90 e9 5c e7 ff ff 66 0f 1f 44 00 00 <0f> 0b e8 c6 9b 49 00 83 ad 44 ff ff ff 01 e9 64 f6 ff ff 4c 89 
:RIP  [<ffffffff811fba78>] do_blockdev_direct_IO+0x1e98/0x1f90
: RSP <ffff88007f243a68>
:EXT4-fs (dm-3): mounted filesystem with ordered data mode. Opts: (null)
Comment 1 Jeff Moyer 2012-03-23 11:49:10 EDT
How reproducible is this crash?
Comment 2 Jeff Moyer 2012-03-26 11:41:01 EDT
I tried installing a system with encrypted root and swap, but was unable to reproduce the issue with the latest kernel.  With 3.3.0-0.rc3.git7.2.fc17.x86_64, I was actually unable to boot my system (seemingly for reasons not related to this bug), so I can't say whether this particular issue was fixed by an update or not.

Note You need to log in before you can comment on or make changes to this bug.